* {
  margin: 0;
  padding: 0;
  /* box-sizing: border-box; */
}

/* body {
  width: 100%;
  max-width: 100vw;
  overflow-x: hidden;
  font-family: Arial, sans-serif;
  
} */

/* ================================ */
.nav{
    position: fixed;
    top: 0px;
    z-index: 1;
    /* width: 100vw; */
}
.navbar{
  width: 100vw;
  overflow: hidden;
  
}
.navbar-nav{
  margin-right: 20px;
}
.logo{
    margin-right: 600px;
    margin-left: 20px;
    
}
.logo img{
    border-radius: 15px;
}

/* ================================= con slider */




/* ============================================= */

body{
  width: 100%;
  height: auto;
  overflow: hidden;
  overflow-x: hidden;
  overflow-y: auto;
}

main{
  margin-top: 17vh;
}

.mainslider{
  width: 100vw;
  height: auto;
  display: flex;
  align-items: center;
  justify-content: center;
}
.carousel{
  width: 90%;
}
.card-body{
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  height: 100%;
  background: ghostwhite;
}
.card img{
  height: 20rem;
  width: 100%;
}
/* ============== slider */
.con1 {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100vw;
    height: 20vh;
    /* background: green; */
}
.slider1 {
    width: 90%;
    /* margin-left:15%; */
    height: 20vh;
    margin-top: 100px;
    /* margin: auto; */
    /* background: darkolivegreen; */
    overflow: hidden;
    white-space: nowrap;
    display: flex;
    /* animation: scrollAnimation 30s linear infinite; */
    border: 5px solid gray;
    padding: 20px;
    border-radius: 10px;
}
.s1 {
    width: 200px;
    flex: 0 0 auto;
    margin-right: 80px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}
.s1 #slid{
    width: 100px;
    height: 100px;
    margin-right: 20px;
}

/* Additional styling for responsiveness */
@media (max-width: 768px) {
    .slider1 {
        width: 60%;
    }
}

@keyframes scrollAnimation {
    
}
/* ================================= */
.navbar-brand {
    margin-right: 600px; /* Adjust the margin as needed */
    margin-left: 20px;
    font-size: 35px;
    color: lightblue;
}
.partnerships {
    color: orange; /* Your desired color for 'Partnerships' */
}
.and{
    color: white;
}

.nav-item {
    margin-right: 10px; /* Adjust the margin as needed */
    font-size: 25px;
}
.brands{
    width: 100vw;
    height: auto;
    /* background: burlywood; */
    padding-top: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 20vh;
    margin: auto;
    
}
.box{
    display: flex;
    /* background: red; */
    height: auto;
    width: 100%;
    align-items: center;
    justify-content: center;
    /* margin: auto; */
    
}
.brand-names{
    overflow-x: hidden;
    width: 200px;
    height: 51vh;
    text-align:center;
    display: flex;
    flex-direction: column;
    
    /* margin: auto; */
    border: 1px solid grey;
    margin-left: 2%;
}
.brand-names p{
    cursor:pointer;
    border: 1px solid grey;
    border-top:none ;
    border-left: none;
    border-right: none;
    width: 200px;
    height: 40px;
    margin-bottom: 12px;
    /* padding: 10px; */
    
}
.brand-names p:hover{
    background: gold;
    width: 100%;
    height: 100%;
}
.brand-names h1{
    font-size: 25px;
    border-bottom: 1px solid gray;
    padding: 10px;
    background: brown;
    color: white;
    position: sticky;
    top: 0px;
}
.overproduct{
  height: 50vh;
  overflow-x: hidden;
  overflow-y: scroll;

}
#products {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr,1fr)); /* Adjust as needed */
  grid-gap: 20px;
  margin-left: 5%;
  padding: 20px;
  overflow-x: auto;
  overflow-y: hidden;
}
/* 
#products > div {
    flex: 0 0 auto; /* Make each product container a fixed size
    margin-right: 40px; /* Add margin between products */
    /* background: red;
    display: flex;
    align-items: center;
    
    flex-direction: column;
    height: 500px;
    width: 300px;
    /* background: gray;
} */
#products > div {
  /* flex: 0 0 auto; */
  margin-right: 40px;
  /* background: red; */
  display: flex;
  align-items: center;
  flex-direction: row;
  
  height: auto;
  /* background: gray; */
  /* margin: auto; */
  scroll-behavior: inherit;
  overflow-x: hidden;
}

#products img {
    border: 2px solid grey;
    width: 250px;
    height: 150px; /* Ensure images don't exceed their container width */
    margin:20px ;
}

#products h3{
    width: auto;
    text-align: center;
    margin-top: 20px;
    overflow: hidden;
    /* color: whitesmoke; */
    font-size: 18px;
    overflow: hidden;
}

/* button{
    height: 40px;
    margin-top: 20px;
    width: 100px;
    margin-left: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    
}
button a{
    text-decoration: none;
    color: black;
}
button:hover{
    background: gold;
}
.btn{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 50vh;
    border: none;
}
.btn button:hover{
    background-color: gold;
} */

/* ==============================con2 */


#service{
    display: flex;
    align-items: center;
    justify-content: center;
    /* flex-direction: column; */
    height: auto;
    width: 100vw;
    
    margin-top: 100px;
    overflow: hidden;
  }
#center{
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  width: 100%;
  /* margin: auto; */
  /* margin-left: 30vw; */
  height: auto;
  overflow: visible;
}
.logo1{
  margin-bottom: 50px;
}  
#ser{
  height: 18rem;
  width: 80%;
  padding: 10%;
  align-self: center;
}
.servicecontent{
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}
/* =================================== */
/* 

.portfolio{
    height: 45vh;
    display:flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    margin-bottom: 30vh;
    height: 10vh;
    display: none;
}
.text{
    display: flex;
    align-items: flex-start;
    justify-content: center;
    width: 70%;
    /* background: yellow; 
    margin-right: 30%;

}
.text h1{
    width: 30vw;
    font-size: 40px;
    /* background: green; 
    text-align: center;
    font-weight: bold;
}
.text p{
    width: 50%;
    /* background: red; 
    color: gray;
}
.team{
    height: 70vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background-color: blanchedalmond;
    display: none;
}
.team p{
    width: 30%;
    /* margin-top: 40px; 
}
.boxteam{
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    width: 70%;
    margin-top: 40px;
}
.bt{
    width: 300px;
    height: 400px;
    /* background-color: red; 
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background: whitesmoke;
    text-align: center;
}
.bt img{
    width: 100%;
    height: 20vh;
    margin-bottom: 5vh;
}
.social {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    width: 50%;
    background: gold;
    height: 10%;
    border-radius: 30px;
}
.blog{
    height: 100vh;
    width: 100vh;
    margin-left: 45vh;
    display: none;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    /* margin-right: 30vh; */
    /* background-color: blanchedalmond; 
}
.blog p{
    width: 100%;
    font-size: 20px;
    text-align: justify;
    /* margin-top: 40px; 
}
.social2{
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    height: 40vh;
    width: 300px;
    border: 1px solid grey;
    border-right:none ;
    border-left:none ;
    margin: 50px;
    display: none;
}
.social2 #img2{
    height: 50px;
    width: 50px;
    border-radius: 50px;
    margin: 20px;
    
}
.bt2 img:nth-child(1){
    height: 40%;
    width: 100%;

}
.bt2{
    width: 450px;
    height: 550px;
    /* background-color: red; 
    margin-inline: 20px;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    flex-direction: column;
    background: whitesmoke;
    text-align: center;
    border: 1px solid grey;
    border-bottom: none;
}
.bt2 p{
    text-align: center;
} */
/* ===================================== contact */
.center{
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  width: 100vw;
  height: auto;
  /* margin: auto; */
  /* padding-left: 10vw; */
  /* overflow: hidden; */
}
.container {
    justify-content: center;
    display: flex;
    align-items: center;
    flex-direction: column;
    width: 50%;
    padding: 20px;
    background-color: white;
    border-radius: 25px;
    box-shadow: 2px 2px 13px grey;
    margin-top: 10vh;
    overflow: hidden;
  }
  form{
    width: 90%;
  }
  .container h2 {
    text-align: center;
    font-size: 25px;
    color: brown;
    font-weight: bold;
    margin-bottom: 30px;
  }
  
  label {
    
    margin: 20px 0;
}
.form-control {
  padding: 0.5rem 0.75rem;
}
#submit{
  width: 100%;
  height: 50px;
  margin-top: 20px;
}
/* ================================================ */


.fixed-button {
    position: fixed;
    bottom: 20px;
    right: 10vw;
    z-index: 1000;
    height: 60px;
    width: 60px;
    font-size: 35px;
  }

  /* ======================================================== footer */


  /* footer {
    background-color:black;
    border-radius: 20px;
    padding: 20px 0;
    width: 100%;
    
    margin-top: 10vh;
    height: 25vh;
   
    
  } */
  
  footer {
    background: #000;
    display: flex;
    justify-content: center;
    align-items: center;
    /* flex-direction: column; */
    width: 100vw;
    height: auto;
    margin-top: 10vh;
    /* margin-left: 150px; */
    padding: 20px;
  }
  
  .footer-section {
    /* width: 30%;
    height: vh; */
    width: 40%;
    height: auto;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    
  }
  
  
  .footer-section h3 {
    margin-bottom: 10px;
    color: coral;
    font-size: 25px;
    font-weight: bold;
    
    /* display: center; */
    
    /* flex-direction: column; */
    
    /* background-color: red; */
  }
  .footer-section p{
    width: 70%;
    text-align: center;
    
  }
  
  .popup {
    display: block;
    
    
    width: 100%;
    /* transform: translate(-50%, -50%); */
    background-color: #fff;
    padding: 20px;
    border: 1px solid #ccc;
    border-radius: 5px;
    z-index: 9999;
    margin-top: 20vh;
    margin-left: 5%;
  }
  
  .popup .content {
    margin-bottom: 10px;
  }
  
  .popup button {
    display: block;
    margin: auto;
    padding: 10px 20px;
    background-color: #007bff;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
  }
  .popup button a{
    text-decoration: none;
    color: white;
  }
  .form-group option{
    font-size: 15px;
  }